Bug 203003 - lang/ruby22: *make install* fails with missing files
Summary: lang/ruby22: *make install* fails with missing files
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ruby mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-09 18:14 UTC by Tony Narlock
Modified: 2015-09-28 22:24 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments
make install >& file.log (206.06 KB, text/x-log)
2015-09-09 18:14 UTC, Tony Narlock
no flags Details
make >& file.log (794.11 KB, text/x-log)
2015-09-09 18:23 UTC, Tony Narlock
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Narlock 2015-09-09 18:14:41 UTC
Created attachment 160871 [details]
make install >& file.log

$ freebsd-version -ku; uname -apKU
11.0-CURRENT
11.0-CURRENT
FreeBSD z600 11.0-CURRENT FreeBSD 11.0-CURRENT #0 r286893: Tue Aug 18 18:44:28 UTC 2015     root@releng2.nyi.freebsd.org:/usr/obj/usr/src/sys/GENERIC  amd64 amd64 1100079 1100079


/usr/ports/lang/ruby22 # make showconfig
===> The following configuration options are available for ruby22-2.2.3,1:
     CAPIDOCS=on: Build and install C API documents
     DEBUG=off: Build with debugging support
     DOCS=on: Build and/or install documentation
     EXAMPLES=off: Build and/or install examples
     GMP=off: Use GMP to accelerate Bignum operations
     RDOC=on: Build and install Rdoc indexes
====> Which line editing lib to use: you have to select exactly one of them
     LIBEDIT=off: Use libedit
     READLINE=on: Use libreadline
===> Use 'make config' to modify these settings


Attached is `make install` output (where the error is found).

I am going to follow up with the normal make output, since it may have something useful.
Comment 1 Tony Narlock 2015-09-09 18:23:44 UTC
Created attachment 160872 [details]
make >& file.log

normal make output (which succeeds), may be useful.
Comment 2 Michael Moll freebsd_committer 2015-09-19 17:32:21 UTC
I guess this is fixed by r396436, could you please report back?
Comment 3 Michael Moll freebsd_committer 2015-09-28 22:24:03 UTC
No reaction, I'm quite sure it was fixed by r396436